<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		div{
			width: 10px;
			height: 10px;
			position: absolute;
			top: 0px;
			left: 0px;
			border-radius: 100%;
			background-color: black;
		}
	</style>
	<script type="text/javascript">
		
		window.addEventListener("load", (e)=>{
			let cursor=document.querySelector("div");

			cursor.style.left="0px";
			cursor.style.top="0px";

				window.addEventListener("keydown",(e) => { //para los cursores
				  // console.log(e.keyCode);
				  let codigo=e.keyCode;
				  switch (codigo) {
				  	case 37:
				  		// izquierda
				  		cursor.style.left=parseInt(cursor.style.left) -12+"px";				  	
				  		break;
				  	case 38:
				  		// arriba
				  		cursor.style.top=parseInt(cursor.style.top) -12+"px";
				  		break;
				  	case 39:
				  		// derecha
				  		cursor.style.left=parseInt(cursor.style.left) +12+"px";
				  		break;
				  	case 40:
				  		// abajo
				  		cursor.style.top=parseInt(cursor.style.top) +12+"px";
				  		break;
				  	
				  }
				  console.log(codigo);
				});

			});
		
	</script>
</head>
<body>
	<div>
		&nbsp;
	</div>
</body>
</html>